Skip to main content
`Ctrl`+`K`

# concatenate

astropy.coordinates.concatenate(coords)

  Deprecated since version 7.2: The concatenate function will be deprecated in a future version. Use np.concatenate instead.

  Combine multiple coordinate objects into a single `SkyCoord`.

  “Coordinate objects” here mean frame objects with data, `SkyCoord`, or representation objects. Currently, they must all be in the same frame, but in a future version this may be relaxed to allow inhomogeneous sequences of objects.

  Parameters:
    coords python:sequence of astropy:coordinate-like

      The objects to concatenate

  Returns:
    cskycoord `SkyCoord`

      A single sky coordinate with its data set to the concatenation of all the elements in `coords`

  Notes

  As of astropy 7.2, it is possible to combine coordinates with `numpy.concatenate`, and that is now the recommended way to do it. This function differs from `numpy.concatenate` in that (i) it does not take an axis argument; (ii) scalar coordinates are allowed to be concatenated with other scalar or one-dimensional ones; (iii) all |SkyCoord| must have the same representation type and either all have or all not have velocities; and (iv) non-frame attributes are removed instead of copied from the first |SkyCoord|.